import type { Handle } from '@sveltejs/kit';
import { GuardianAuthConfig } from '../types/config';
export declare class GuardianAuth {
    private config;
    private logger;
    constructor(userConfig?: Partial<GuardianAuthConfig>);
    private createProviders;
    private createMiddleware;
    private getAdapter;
    init(): Promise<{
        createUser: (data: any) => Promise<import("@auth/core/adapters").AdapterUser | undefined>;
        middleware: Handle;
        handle: Handle;
        signIn: import("@sveltejs/kit").Action;
        signOut: import("@sveltejs/kit").Action;
    }>;
    updateConfig(newConfig: Partial<GuardianAuthConfig>): void;
}
export declare const guardianAuth: (config?: Partial<GuardianAuthConfig>) => Promise<{
    createUser: (data: any) => Promise<import("@auth/core/adapters").AdapterUser | undefined>;
    middleware: Handle;
    handle: Handle;
    signIn: import("@sveltejs/kit").Action;
    signOut: import("@sveltejs/kit").Action;
}>;
